package com.mortals.xhx.module.comment.model;

import java.util.List;
import java.util.Date;

/**
*
* Description:CommentInfo
* date: 2021-8-30 11:43:19
*/
public class CommentInfoQuery extends CommentInfoEntity{
    private static final long serialVersionUID = 1630294999031L;
    /** 开始 菜单ID，主键，自增长 */
    private Long idStart;

    /** 结束 菜单ID，主键，自增长 */
    private Long idEnd;

    /** 增加 菜单ID，主键，自增长 */
    private Long idIncrement;

    /** 菜单ID，主键，自增长 */
    private List <Long> idList;


    /** 类型 */
    private List<String> typeList;

    /** 员工工号 */
    private List<String> personalCodeList;
    /** 开始 审批时间 */
    private String timeStart;

    /** 结束 审批时间 */
    private String timeEnd;

    /** 任务id */
    private List<String> taskIdList;

    /**  */
    private List<String> activityIdList;

    /**  */
    private List<String> activityNameList;

    /** 流程实例id */
    private List<String> processInstanceIdList;

    /** 动作 */
    private List<String> actionList;

    /** 审批意见 */
    private List<String> messageList;

    /** 创建人 */
    private List<String> createUserList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<CommentInfoQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<CommentInfoQuery> andConditionList;


    public CommentInfoQuery(){
    }

    /**
    * 获取 开始 菜单ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
    return this.idStart;
    }

    /**
    * 设置 开始 菜单ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
    this.idStart = idStart;
    }

    /**
    * 获取 结束 菜单ID，主键，自增长
    * @return idEnd
    */
    public Long getIdEnd(){
    return this.idEnd;
    }

    /**
    * 设置 结束 菜单ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
    this.idEnd = idEnd;
    }

    /**
    * 获取 增加 菜单ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
    return this.idIncrement;
    }

    /**
    * 设置 增加 菜单ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
    this.idIncrement = idIncrement;
    }

    /**
    * 获取 菜单ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
    return this.idList;
    }

    /**
    * 设置 菜单ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
        }
    /**
    * 获取 类型
    * @return typeList
    */
    public List<String> getTypeList(){
        return this.typeList;
    }

    /**
    * 设置 类型
    * @param typeList
    */
    public void setTypeList(List<String> typeList){
        this.typeList = typeList;
    }
    /**
    * 获取 员工工号
    * @return personalCodeList
    */
    public List<String> getPersonalCodeList(){
        return this.personalCodeList;
    }

    /**
    * 设置 员工工号
    * @param personalCodeList
    */
    public void setPersonalCodeList(List<String> personalCodeList){
        this.personalCodeList = personalCodeList;
    }
    /**
    * 获取 开始 审批时间
    * @return timeStart
    */
    public String getTimeStart(){
    return this.timeStart;
    }

    /**
    * 设置 开始 审批时间
    * @param timeStart
    */
    public void setTimeStart(String timeStart){
    this.timeStart = timeStart;
    }

    /**
    * 获取 结束 审批时间
    * @return timeEnd
    */
    public String getTimeEnd(){
    return this.timeEnd;
    }

    /**
    * 设置 结束 审批时间
    * @param timeEnd
    */
    public void setTimeEnd(String timeEnd){
    this.timeEnd = timeEnd;
    }
    /**
    * 获取 任务id
    * @return taskIdList
    */
    public List<String> getTaskIdList(){
        return this.taskIdList;
    }

    /**
    * 设置 任务id
    * @param taskIdList
    */
    public void setTaskIdList(List<String> taskIdList){
        this.taskIdList = taskIdList;
    }
    /**
    * 获取 
    * @return activityIdList
    */
    public List<String> getActivityIdList(){
        return this.activityIdList;
    }

    /**
    * 设置 
    * @param activityIdList
    */
    public void setActivityIdList(List<String> activityIdList){
        this.activityIdList = activityIdList;
    }
    /**
    * 获取 
    * @return activityNameList
    */
    public List<String> getActivityNameList(){
        return this.activityNameList;
    }

    /**
    * 设置 
    * @param activityNameList
    */
    public void setActivityNameList(List<String> activityNameList){
        this.activityNameList = activityNameList;
    }
    /**
    * 获取 流程实例id
    * @return processInstanceIdList
    */
    public List<String> getProcessInstanceIdList(){
        return this.processInstanceIdList;
    }

    /**
    * 设置 流程实例id
    * @param processInstanceIdList
    */
    public void setProcessInstanceIdList(List<String> processInstanceIdList){
        this.processInstanceIdList = processInstanceIdList;
    }
    /**
    * 获取 动作
    * @return actionList
    */
    public List<String> getActionList(){
        return this.actionList;
    }

    /**
    * 设置 动作
    * @param actionList
    */
    public void setActionList(List<String> actionList){
        this.actionList = actionList;
    }
    /**
    * 获取 审批意见
    * @return messageList
    */
    public List<String> getMessageList(){
        return this.messageList;
    }

    /**
    * 设置 审批意见
    * @param messageList
    */
    public void setMessageList(List<String> messageList){
        this.messageList = messageList;
    }
    /**
    * 获取 创建人
    * @return createUserList
    */
    public List<String> getCreateUserList(){
        return this.createUserList;
    }

    /**
    * 设置 创建人
    * @param createUserList
    */
    public void setCreateUserList(List<String> createUserList){
        this.createUserList = createUserList;
    }
    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
    return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
    this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
    return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
    this.createTimeEnd = createTimeEnd;
    }


	/**
    * 设置  菜单ID，主键，自增长
    * @param id
    */
    public CommentInfoQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 菜单ID，主键，自增长
    * @param idStart
    */
    public CommentInfoQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 菜单ID，主键，自增长
    * @param idEnd
    */
    public CommentInfoQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 菜单ID，主键，自增长
    * @param idIncrement
    */
    public CommentInfoQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 菜单ID，主键，自增长
    * @param idList
    */
    public CommentInfoQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }
	/**
    * 设置 类型
    * @param type
    */
    public CommentInfoQuery type(String type){
        setType(type);
		return this;
    }


    /**
    * 设置 类型
    * @param typeList
    */
    public CommentInfoQuery typeList(List<String> typeList){
        this.typeList = typeList;
		return this;
    }
	/**
    * 设置 员工工号
    * @param personalCode
    */
    public CommentInfoQuery personalCode(String personalCode){
        setPersonalCode(personalCode);
		return this;
    }


    /**
    * 设置 员工工号
    * @param personalCodeList
    */
    public CommentInfoQuery personalCodeList(List<String> personalCodeList){
        this.personalCodeList = personalCodeList;
		return this;
    }

    /**
    * 设置 开始 审批时间
    * @param timeStart
    */
    public CommentInfoQuery timeStart(String timeStart){
		this.timeStart = timeStart;
		return this;
    }


    /**
    * 设置 结束 审批时间
    * @param timeEnd
    */
    public CommentInfoQuery timeEnd(String timeEnd){
		this.timeEnd = timeEnd;
		return this;
    }
	/**
    * 设置 任务id
    * @param taskId
    */
    public CommentInfoQuery taskId(String taskId){
        setTaskId(taskId);
		return this;
    }


    /**
    * 设置 任务id
    * @param taskIdList
    */
    public CommentInfoQuery taskIdList(List<String> taskIdList){
        this.taskIdList = taskIdList;
		return this;
    }
	/**
    * 设置 
    * @param activityId
    */
    public CommentInfoQuery activityId(String activityId){
        setActivityId(activityId);
		return this;
    }


    /**
    * 设置 
    * @param activityIdList
    */
    public CommentInfoQuery activityIdList(List<String> activityIdList){
        this.activityIdList = activityIdList;
		return this;
    }
	/**
    * 设置 
    * @param activityName
    */
    public CommentInfoQuery activityName(String activityName){
        setActivityName(activityName);
		return this;
    }


    /**
    * 设置 
    * @param activityNameList
    */
    public CommentInfoQuery activityNameList(List<String> activityNameList){
        this.activityNameList = activityNameList;
		return this;
    }
	/**
    * 设置 流程实例id
    * @param processInstanceId
    */
    public CommentInfoQuery processInstanceId(String processInstanceId){
        setProcessInstanceId(processInstanceId);
		return this;
    }


    /**
    * 设置 流程实例id
    * @param processInstanceIdList
    */
    public CommentInfoQuery processInstanceIdList(List<String> processInstanceIdList){
        this.processInstanceIdList = processInstanceIdList;
		return this;
    }
	/**
    * 设置 动作
    * @param action
    */
    public CommentInfoQuery action(String action){
        setAction(action);
		return this;
    }


    /**
    * 设置 动作
    * @param actionList
    */
    public CommentInfoQuery actionList(List<String> actionList){
        this.actionList = actionList;
		return this;
    }
	/**
    * 设置 审批意见
    * @param message
    */
    public CommentInfoQuery message(String message){
        setMessage(message);
		return this;
    }


    /**
    * 设置 审批意见
    * @param messageList
    */
    public CommentInfoQuery messageList(List<String> messageList){
        this.messageList = messageList;
		return this;
    }
	/**
    * 设置 创建人
    * @param createUser
    */
    public CommentInfoQuery createUser(String createUser){
        setCreateUser(createUser);
		return this;
    }


    /**
    * 设置 创建人
    * @param createUserList
    */
    public CommentInfoQuery createUserList(List<String> createUserList){
        this.createUserList = createUserList;
		return this;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public CommentInfoQuery createTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
		return this;
    }


    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public CommentInfoQuery createTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
		return this;
    }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<CommentInfoQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<CommentInfoQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<CommentInfoQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<CommentInfoQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}